Upgrade PHP to 5.2 on CentOS 5

Here's a quick how-to in order to run CentOS 5 along with Plesk 9 or 10 and PHP 5.3.
The easiest way to install PHP 5.3 on your CentOS 5.5 (or 5.x) machine is to use the Atomic Turtle Repositories. To do so, make sure you have the dependencies...you just need wget.

yum install wget

Once this is installed, let's download and enable the Atomic Repository.

wget -q -O - www.atomicorp.com/installers/atomic | sh

The repo should be downloaded and enabled now, so you can just run an update or install for php depending on if php is installed or not.

yum update php
Or
yum install php

Once you've installed or updated you php, check if you have the version you want.

php -v

You should receive something like this:

PHP 5.3.10 (cli) (built: Aug 12 2010 16:03:48)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies